Skip to main content
PUT
/
webhooks
/
{webhookId}
Update Webhook
curl --request PUT \
  --url https://api.getredo.com/v2.2/webhooks/{webhookId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "webhook": {
    "callback": {
      "auth": {
        "bearer": {
          "token": "abc123"
        }
      },
      "url": "https://subscriber.example.org/events"
    },
    "externalId": null
  }
}
'
import requests

url = "https://api.getredo.com/v2.2/webhooks/{webhookId}"

payload = { "webhook": {
"callback": {
"auth": { "bearer": { "token": "abc123" } },
"url": "https://subscriber.example.org/events"
},
"externalId": None
} }
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
webhook: {
callback: {
auth: {bearer: {token: 'abc123'}},
url: 'https://subscriber.example.org/events'
},
externalId: null
}
})
};

fetch('https://api.getredo.com/v2.2/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": "<string>",
  "instance": "<string>",
  "title": "<string>",
  "type": "about:blank"
}

Path Parameters

webhookId
string
required

Webhook ID

Example:

"64e5a865a58eefeed7f05ea6"

Body

application/json
webhook
Webhook update · object
required

Webhook update.

Response

Success